Public Member Functions | Public Attributes

# cv::FernDescriptorMatcher::Params Class Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions
| Params (int nclasses=0, int patchSize=FernClassifier::PATCH_SIZE, int signatureSize=FernClassifier::DEFAULT_SIGNATURE_SIZE, int nstructs=FernClassifier::DEFAULT_STRUCTS, int structSize=FernClassifier::DEFAULT_STRUCT_SIZE, int nviews=FernClassifier::DEFAULT_VIEWS, int compressionMethod=FernClassifier::COMPRESSION_NONE, const PatchGenerator &patchGenerator=PatchGenerator())
| Params (const string &filename)
## Public Attributes
int | compressionMethod
string | filename
int | nclasses
int | nstructs
int | nviews
PatchGenerator | patchGenerator
int | patchSize
int | signatureSize
int | structSize

## Constructor & Destructor Documentation

cv::FernDescriptorMatcher::Params::Params | ( | int | nclasses = `0`,
|  | int | patchSize = `FernClassifier::PATCH_SIZE`,
|  | int | signatureSize = `FernClassifier::DEFAULT_SIGNATURE_SIZE`,
|  | int | nstructs = `FernClassifier::DEFAULT_STRUCTS`,
|  | int | structSize = `FernClassifier::DEFAULT_STRUCT_SIZE`,
|  | int | nviews = `FernClassifier::DEFAULT_VIEWS`,
|  | int | compressionMethod = `FernClassifier::COMPRESSION_NONE`,
|  | const PatchGenerator & | patchGenerator = `PatchGenerator()`
| ) |  |

cv::FernDescriptorMatcher::Params::Params | ( | const string & | filename ) |

## Member Data Documentation

int cv::FernDescriptorMatcher::Params::compressionMethod

string cv::FernDescriptorMatcher::Params::filename

int cv::FernDescriptorMatcher::Params::nclasses

int cv::FernDescriptorMatcher::Params::nstructs

int cv::FernDescriptorMatcher::Params::nviews

PatchGenerator cv::FernDescriptorMatcher::Params::patchGenerator

int cv::FernDescriptorMatcher::Params::patchSize

int cv::FernDescriptorMatcher::Params::signatureSize

int cv::FernDescriptorMatcher::Params::structSize

The documentation for this class was generated from the following file:

- C:/opt/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines